Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0012683
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorrandom2010-03-15 13:042010-11-04 13:37
ReporteralostaleView Statuspublic 
Assigned Tomarvintm 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision85eb92e7e94b
ProjectionnoneETAnoneTarget Version2.50MP19
OSLinux 32 bitDatabaseOracleJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0012683: Oracle build takes a lot of time

DescriptionWhen building the application in linux-oracle, the build process sometimes takes a long time.

The problem appears randomly each time the database driver is loaded (it can last for about 30s each time).

This problem was introduced by the 11g ojdbc driver (issue 0009067).
TagsNo tags attached.
Attached Filesdiff file icon 12683_syspropertyset.diff [^] (1,123 bytes) 2010-05-14 16:40 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0009067pi closedalostale Upgrade Oracle jdbc driver to 11g 

-  Notes
(0025475)
alostale (developer)
2010-03-15 13:05

This seems to be related to the issue described in this post:
http://www.usn-it.de/index.php/2009/02/20/oracle-11g-jdbc-driver-hangs-blocked-by-devrandom-entropy-pool-empty/ [^]
(0026632)
hgbot (developer)
2010-04-23 13:51

Repository: erp/devel/pi
Changeset: 174274efc18c13327497926aa3591056b0199a20
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Fri Apr 23 13:51:11 2010 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/174274efc18c13327497926aa3591056b0199a20 [^]

fixed bug 12683: Oracle build takes a lot of time

---
M build.xml
M config/Openbravo.properties.template
M src-wad/build.xml
M src/build.xml
M src/buildAD.xml
---
(0026633)
alostale (developer)
2010-04-23 13:56

Fixed by adding a new property to Openbravo.propeties. http://wiki.openbravo.com/wiki/ERP/2.50/Openbravo.properties#Database [^]
(0027287)
hudsonbot (developer)
2010-05-14 15:27

A changeset related to this issue has been promoted to main after passing a series of tests and an OBX has been generated:

Changeset: http://code.openbravo.com/erp/devel/main/rev/174274efc18c [^]
Merge Changeset: http://code.openbravo.com/erp/devel/main/rev/36f76c8d7193 [^]
Tests: http://builds.openbravo.com/view/devel-int/ [^]
OBX: http://builds.openbravo.com/erp/core/obx/OpenbravoERP-2.50CI.17198.obx [^]
(0027312)
shuehner (administrator)
2010-05-14 16:35

Reopening as some issues should be adressed.

The change done (if activated) is fixing the speed issue.

However two topic should be fixed:
a.) current change does set the property to "", instead of not setting it at all. Better would be to not touch the setting in this case (will add prototype diff to do that in a few minuteS)
b.) the change should be added to more actions doing something with the db (src-trl/build.xml, at least trl.lib, trl.clean, translate, (remove unuseD), and i.e. update.database (and more in src-db/database/build.xml)
(0027366)
hgbot (developer)
2010-05-17 14:01

Repository: erp/devel/pi
Changeset: 2ccd08241915e13368092cec3eeb43f20c3b9fd4
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Mon May 17 13:54:40 2010 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/2ccd08241915e13368092cec3eeb43f20c3b9fd4 [^]

Related to bug 12683: Revert changes
Backed out changeset 174274efc18c

---
M build.xml
M config/Openbravo.properties.template
M src-wad/build.xml
M src/build.xml
M src/buildAD.xml
---
(0027582)
hudsonbot (developer)
2010-05-20 11:15

A changeset related to this issue has been promoted to main after passing a series of tests and an OBX has been generated:

Changeset: http://code.openbravo.com/erp/devel/main/rev/2ccd08241915 [^]
Merge Changeset: http://code.openbravo.com/erp/devel/main/rev/a7901e097e1a [^]
Tests: http://builds.openbravo.com/view/devel-int/ [^]
OBX: http://builds.openbravo.com/erp/core/obx/OpenbravoERP-2.50CI.17407.obx [^]
(0027839)
shuehner (administrator)
2010-05-31 21:21

Note: Issue also happens in 2.40/oracle at runtime inside tomcat. Adding debugging code to the getPhysicalConnection from oracle (into pool) shows:

Getting new physical db-connection
Established new connection. Took: (getConnection - executeDefaultSQL): 30565 - 104

Getting new physical db-connection
Established new connection. Took: (getConnection - executeDefaultSQL): 25256 - 2

Where first time is time to get the connection (in ms) and second time is time needed to execute sessionConfig statement (just for completenesS)
(0027980)
hgbot (developer)
2010-06-04 14:45

Repository: erp/devel/pi
Changeset: b349f71af836d8ef28e740673eb9414fd801b2ce
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Fri Apr 23 13:51:11 2010 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/b349f71af836d8ef28e740673eb9414fd801b2ce [^]

fixed bug 12683: Oracle build takes a lot of time

---
M build.xml
M config/Openbravo.properties.template
M src-wad/build.xml
M src/build.xml
M src/buildAD.xml
---
(0028102)
hudsonbot (developer)
2010-06-07 21:21

A changeset related to this issue has been promoted to main after passing a series of tests and an OBX has been generated:

Changeset: http://code.openbravo.com/erp/devel/main/rev/b349f71af836 [^]
Merge Changeset: http://code.openbravo.com/erp/devel/main/rev/8b43a1f2fff4 [^]
Tests: http://builds.openbravo.com/view/int/ [^]
OBX: http://builds.openbravo.com/erp/core/obx/OpenbravoERP-2.50CI.17563.obx [^]
(0028144)
hudsonbot (developer)
2010-06-07 23:43

A changeset related to this issue has been promoted to main after passing a series of tests and an OBX has been generated:

Changeset: http://code.openbravo.com/erp/devel/main/rev/b349f71af836 [^]
Merge Changeset: http://code.openbravo.com/erp/devel/main/rev/8b43a1f2fff4 [^]
Tests: http://builds.openbravo.com/view/int/ [^]
OBX: http://builds.openbravo.com/erp/core/obx/OpenbravoERP-2.50CI.17563.obx [^]
(0028292)
hgbot (developer)
2010-06-11 09:42

Repository: erp/devel/pi
Changeset: 85eb92e7e94b6901b4107033b35a16054c9a2d75
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Thu Jun 10 16:29:24 2010 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/85eb92e7e94b6901b4107033b35a16054c9a2d75 [^]

Fixed issue 12683. Committed previous fix but with two improvements:
now the property is set if it needs to be, and not touched if it doesn't
hopefully all relevant tasks should have the property now

---
M build.xml
M config/Openbravo.properties.template
M src-db/database/build.xml
M src-trl/build.xml
M src-util/buildvalidation/build.xml
M src-util/modulescript/build.xml
M src-wad/build.xml
M src/build.xml
M src/buildAD.xml
---
(0028324)
hudsonbot (developer)
2010-06-12 22:48

A changeset related to this issue has been promoted to main after passing a series of tests and an OBX has been generated:

Changeset: http://code.openbravo.com/erp/devel/main/rev/85eb92e7e94b [^]
Merge Changeset: http://code.openbravo.com/erp/devel/main/rev/0b85119b92bc [^]
Tests: http://builds.openbravo.com/view/int/ [^]
OBX: http://builds.openbravo.com/erp/core/obx/OpenbravoERP-2.50CI.17589.obx [^]
(0028450)
hgbot (developer)
2010-06-15 15:36

Repository: erp/devel/pi
Changeset: 8964c21d177f10ba114f63ca7b99f424912dc283
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Tue Jun 15 15:36:21 2010 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/8964c21d177f10ba114f63ca7b99f424912dc283 [^]

Related to issue 12683. Removed property from the tomcat.restart task

---
M build.xml
---
(0028451)
shuehner (administrator)
2010-06-15 15:37

Tested on pi/oracle, with the newparameter getting a connection took about 10-20s in the test-system. Using the new parameter this time went down to <=200ms n the same environment.
Property usage has been added to all build-targets where this is possible without big restructuring of the build scripts.
Patch only adds functional changes if the property is explicitely activated in the Openbravo.properties file.
(0028479)
hudsonbot (developer)
2010-06-16 00:20

A changeset related to this issue has been promoted to main after passing a series of tests and an OBX has been generated:

Changeset: http://code.openbravo.com/erp/devel/main/rev/8964c21d177f [^]
Merge Changeset: http://code.openbravo.com/erp/devel/main/rev/3b320eca6d68 [^]
Tests: http://builds.openbravo.com/view/int/ [^]
OBX: http://builds.openbravo.com/erp/core/obx/OpenbravoERP-2.50CI.17616.obx [^]

- Issue History
Date Modified Username Field Change
2010-03-15 13:04 alostale New Issue
2010-03-15 13:04 alostale Assigned To => alostale
2010-03-15 13:04 alostale Relationship added related to 0009067
2010-03-15 13:05 alostale Note Added: 0025475
2010-03-16 08:17 alostale Status new => scheduled
2010-03-16 08:17 alostale fix_in_branch => pi
2010-04-23 13:51 hgbot Checkin
2010-04-23 13:51 hgbot Note Added: 0026632
2010-04-23 13:51 hgbot Status scheduled => resolved
2010-04-23 13:51 hgbot Resolution open => fixed
2010-04-23 13:51 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/174274efc18c13327497926aa3591056b0199a20 [^]
2010-04-23 13:56 alostale Note Added: 0026633
2010-05-14 15:27 hudsonbot Checkin
2010-05-14 15:27 hudsonbot Note Added: 0027287
2010-05-14 16:35 shuehner Note Added: 0027312
2010-05-14 16:35 shuehner Status resolved => new
2010-05-14 16:35 shuehner Resolution fixed => open
2010-05-14 16:40 shuehner File Added: 12683_syspropertyset.diff
2010-05-17 08:25 alostale Status new => scheduled
2010-05-17 14:01 hgbot Checkin
2010-05-17 14:01 hgbot Note Added: 0027366
2010-05-20 11:15 hudsonbot Checkin
2010-05-20 11:15 hudsonbot Note Added: 0027582
2010-05-26 11:53 networkb Target Version => 2.50MP19
2010-05-26 11:53 networkb fix_in_branch pi =>
2010-05-26 11:53 networkb Issue Monitored: networkb
2010-05-31 21:21 shuehner Note Added: 0027839
2010-06-04 14:45 hgbot Checkin
2010-06-04 14:45 hgbot Note Added: 0027980
2010-06-04 14:45 hgbot Status scheduled => resolved
2010-06-04 14:45 hgbot Resolution open => fixed
2010-06-04 14:45 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/174274efc18c13327497926aa3591056b0199a20 [^] => http://code.openbravo.com/erp/devel/pi/rev/b349f71af836d8ef28e740673eb9414fd801b2ce [^]
2010-06-07 08:38 alostale Status resolved => new
2010-06-07 08:38 alostale Resolution fixed => open
2010-06-07 21:21 hudsonbot Checkin
2010-06-07 21:21 hudsonbot Note Added: 0028102
2010-06-07 23:43 hudsonbot Checkin
2010-06-07 23:43 hudsonbot Note Added: 0028144
2010-06-09 11:12 alostale Assigned To alostale => marvintm
2010-06-11 09:42 hgbot Checkin
2010-06-11 09:42 hgbot Note Added: 0028292
2010-06-11 09:42 hgbot Status new => resolved
2010-06-11 09:42 hgbot Resolution open => fixed
2010-06-11 09:42 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/b349f71af836d8ef28e740673eb9414fd801b2ce [^] => http://code.openbravo.com/erp/devel/pi/rev/85eb92e7e94b6901b4107033b35a16054c9a2d75 [^]
2010-06-12 22:48 hudsonbot Checkin
2010-06-12 22:48 hudsonbot Note Added: 0028324
2010-06-15 15:36 hgbot Checkin
2010-06-15 15:36 hgbot Note Added: 0028450
2010-06-15 15:37 shuehner Note Added: 0028451
2010-06-15 15:37 shuehner Status resolved => closed
2010-06-16 00:00 anonymous sf_bug_id 0 => 3016761
2010-06-16 00:20 hudsonbot Checkin
2010-06-16 00:20 hudsonbot Note Added: 0028479
2010-11-04 13:37 rafaroda Issue Monitored: rafaroda


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker